> ## Documentation Index > Fetch the complete documentation index at: https://docs.restaurant365.com/llms.txt > Use this file to discover all available pages before exploring further. # /public/v1/purchase-orders/{id} > Retrieves the purchase order specified by the id ## OpenAPI ````json GET /public/v1/purchase-orders/{id} { "openapi": "3.0.1", "info": { "title": "R365.PublicApi", "contact": { "name": "R365 Services Team", "email": "r365@restaurant365.com" }, "version": "1.0" }, "security": [ { "Bearer": [] } ], "paths": { "/public/v1/purchase-orders/{id}": { "get": { "tags": [ "inventory" ], "description": "Retrieves the purchase order specified by the id", "parameters": [ { "name": "id", "in": "path", "description": "Identifier of the purchase order", "required": true, "schema": { "type": "string($uuid)" } } ], "responses": { "200": { "description": "purchase order entity", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.PurchaseOrders.Models.PurchaseOrderPublicDto" } }, "application/json": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.PurchaseOrders.Models.PurchaseOrderPublicDto" } }, "text/json": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.PurchaseOrders.Models.PurchaseOrderPublicDto" } } } }, "403": { "description": "Forbidden", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Models.ProblemDetails" } } } }, "422": { "description": "Unprocessable Content", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Models.R365Error" } } } } } } } }, "components": { "schemas": { "R365.Inventory.Public.Contracts.PurchaseOrders.Models.PurchaseOrderPublicDto": { "type": "object", "properties": { "id": { "type": "string", "description": "The unique identifier of the Purchase Order.", "format": "uuid" }, "number": { "type": "string", "description": "Purchase Order Number.", "nullable": true }, "template": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.PurchaseOrders.PurchaseOrderTemplateReference" }, "location": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Locations.LocationReference" }, "vendor": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Vendors.VendorReference" }, "orderDate": { "type": "string", "description": "Order Date.", "format": "date" }, "deliveryDate": { "type": "string", "description": "Delivery Date.", "format": "date" }, "status": { "type": "string", "description": "Purchase Order Status.", "nullable": true }, "shipToAddress": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Locations.Address" }, "comment": { "type": "string", "description": "Comment.", "nullable": true }, "details": { "type": "array", "items": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.PurchaseOrders.Models.PurchaseOrderDetailPublicDto" }, "description": "List of Purchase Order Details.", "nullable": true }, "totalAmount": { "type": "number", "description": "The total amount of the Purchase Order.", "format": "double", "readOnly": true }, "totalQuantity": { "type": "number", "description": "The total ordered item quantity of the Purchase Order.", "format": "double", "readOnly": true }, "createdBy": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Users.UserReference", "description": "User who created the purchase order." }, "createdOn": { "type": "string", "description": "The date the purchase order was created.", "format": "date-time" }, "modifiedBy": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Users.UserReference", "description": "User who last modified the purchase order." }, "modifiedOn": { "type": "string", "description": "The date the purchase order was last modified.", "format": "date-time", "nullable": true } }, "additionalProperties": false, "description": "A Purchase Order." }, "R365.Inventory.Public.Models.ProblemDetails": { "type": "object", "properties": { "type": { "type": "string", "nullable": true }, "title": { "type": "string", "nullable": true }, "status": { "type": "integer", "format": "int32", "nullable": true, "description": "Current status of the problem details." }, "detail": { "type": "string", "nullable": true }, "instance": { "type": "string", "nullable": true } } }, "R365.Inventory.Public.Models.R365Error": { "type": "object", "properties": { "errorCode": { "type": "string", "nullable": true }, "innerError": { "$ref": "#/components/schemas/R365.Inventory.Public.Models.R365Error" } } }, "R365.Inventory.Shared.Contracts.PurchaseOrders.PurchaseOrderTemplateReference": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "description": "Unique identifier of the purchase order template." }, "name": { "type": "string", "nullable": true, "description": "Display name of the purchase order template." } }, "additionalProperties": false, "description": "A reference to a purchase order template." }, "R365.Inventory.Shared.Contracts.Locations.LocationReference": { "type": "object", "properties": { "id": { "type": "string", "description": "The id of the location.", "format": "uuid" }, "name": { "type": "string", "description": "The name of the location.", "nullable": true }, "number": { "type": "string", "description": "The location number.", "nullable": true } }, "additionalProperties": false, "description": "Represents a reference to a location." }, "R365.Inventory.Shared.Contracts.Vendors.VendorReference": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "description": "Unique identifier of the vendor." }, "name": { "type": "string", "nullable": true, "description": "Display name of the vendor." }, "number": { "type": "string", "nullable": true, "description": "Number assigned to the vendor." } }, "additionalProperties": false, "description": "A reference to a vendor." }, "R365.Inventory.Shared.Contracts.Locations.Address": { "type": "object", "properties": { "addressLine1": { "type": "string", "nullable": true }, "addressLine2": { "type": "string", "nullable": true }, "addressLine3": { "type": "string", "nullable": true }, "city": { "type": "string", "nullable": true }, "state": { "type": "string", "nullable": true }, "country": { "type": "string", "nullable": true }, "postalCode": { "type": "string", "nullable": true } }, "additionalProperties": false, "description": "A street or shipping address." }, "R365.Inventory.Public.Contracts.PurchaseOrders.Models.PurchaseOrderDetailPublicDto": { "type": "object", "properties": { "id": { "type": "string", "description": "The unique identifier for the purchase order detail.", "format": "uuid" }, "storageLocationName": { "type": "string", "description": "Storage Location Name.", "nullable": true }, "vendorItem": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Vendors.VendorItemReference" }, "item": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.InventoryCounts.Models.PublicItemReference" }, "unitOfMeasure": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference" }, "quantity": { "type": "number", "description": "Quantity.", "format": "double" }, "total": { "type": "number", "description": "Total.", "format": "double" }, "unitAmount": { "type": "number", "description": "Unit Amount (Vendor Item Price)", "format": "double" }, "itemCategory1": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Items.ItemCategoryReference" }, "itemCategory2": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Items.ItemCategoryReference" }, "itemCategory3": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Items.ItemCategoryReference" }, "comment": { "type": "string", "description": "Optional comment for the item, inherited from the template on order creation.", "nullable": true } }, "additionalProperties": false, "description": "Purchase Order Detail" }, "R365.Inventory.Shared.Contracts.Users.UserReference": { "type": "object", "properties": { "id": { "type": "string", "description": "The unique identifier of the user.", "format": "uuid" }, "name": { "type": "string", "description": "The name of the user.", "nullable": true } }, "additionalProperties": false, "description": "A reference to a user." }, "R365.Inventory.Shared.Contracts.Vendors.VendorItemReference": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "nullable": true, "description": "Unique identifier of the vendor item." }, "name": { "type": "string", "nullable": true, "description": "Display name of the vendor item." }, "number": { "type": "string", "nullable": true, "description": "Number assigned to the vendor item." }, "brandItemNumber": { "type": "string", "nullable": true }, "purchaseUnitOfMeasure": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference" }, "splitUnitOfMeasure": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference" } }, "additionalProperties": false, "description": "A reference to a vendor item." }, "R365.Inventory.Public.Contracts.InventoryCounts.Models.PublicItemReference": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "description": "Unique identifier of the public item." }, "name": { "type": "string", "nullable": true, "description": "Display name of the public item." }, "number": { "type": "string", "nullable": true, "description": "Number assigned to the public item." }, "itemType": { "type": "string", "nullable": true } }, "additionalProperties": false, "description": "A reference to an item." }, "R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "description": "Unique identifier of the unit of measure." }, "name": { "type": "string", "nullable": true, "description": "Display name of the unit of measure." } }, "additionalProperties": false, "description": "A reference to a unit of measure." }, "R365.Inventory.Shared.Contracts.Items.ItemCategoryReference": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "description": "Unique identifier of the item category." }, "name": { "type": "string", "nullable": true, "description": "Display name of the item category." } }, "additionalProperties": false, "description": "A reference to an item category." } }, "securitySchemes": { "Bearer": { "type": "http", "description": "Put **_ONLY_** your JWT Bearer token on textbox below!", "scheme": "Bearer", "bearerFormat": "JWT" } } } } ````